# Uses of Class
org.apache.velocity.runtime.directive.Macro.MacroArg

Packages that use Macro.MacroArg
Package
Description
org.apache.velocity.runtime
org.apache.velocity.runtime.directive

## Uses of Macro.MacroArg in org.apache.velocity.runtime

Method parameters in org.apache.velocity.runtime with type arguments of type Macro.MacroArg
Modifier and Type
Method
Description
`boolean`
RuntimeInstance.`addVelocimacro(String name, Node macro, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a new Velocimacro.
`boolean`
RuntimeServices.`addVelocimacro(String name, Node macro, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a new Velocimacro.
`static boolean`
RuntimeSingleton.`addVelocimacro(String name, Node macro, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a new Velocimacro.
`boolean`
VelocimacroFactory.`addVelocimacro(String name, Node macroBody, List<Macro.MacroArg> macroArgs, Template definingTemplate)`
Adds a macro to the factory.
`boolean`
VelocimacroManager.`addVM(String vmName, Node macroBody, List<Macro.MacroArg> macroArgs, Template definingTemplate, boolean canReplaceGlobalMacro)`
Adds a VM definition to the cache.

## Uses of Macro.MacroArg in org.apache.velocity.runtime.directive

Methods in org.apache.velocity.runtime.directive that return types with arguments of type Macro.MacroArg
Modifier and Type
Method
Description
`List<Macro.MacroArg>`
VelocimacroProxy.`getMacroArgs()`
Return the list of macro arguments associated with this macro
Method parameters in org.apache.velocity.runtime.directive with type arguments of type Macro.MacroArg
Modifier and Type
Method
Description
`static StringBuilder`
Macro.`macroToString(StringBuilder buf, List<Macro.MacroArg> macroArgs, RuntimeServices rsvc)`
For debugging purposes.
`void`
VelocimacroProxy.`setMacroArgs(List<Macro.MacroArg> args)`
sets the array of arguments specified in the macro definition